6.0.0-git
2019-03-20

[#9893] Lightning<->RPC; Authentication doesn't work
Summary Lightning<->RPC; Authentication doesn't work
Queue Kronolith
Queue Version 3.0
Type Bug
State Resolved
Priority 2. Medium
Owners
Requester michael.groene (at) zel (dot) uni-hannover (dot) de
Created 2011-04-13 (2898 days ago)
Due
Updated 2011-06-24 (2826 days ago)
Assigned 2011-04-19 (2892 days ago)
Resolved 2011-06-24 (2826 days ago)
Milestone
Patch No

History
2011-06-24 14:13:48 Jan Schneider State ⇒ Resolved
 
2011-06-09 11:41:05 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #11 Reply to this comment
This seems to be fixed by http://bugs.horde.org/ticket/10211
2011-06-06 09:26:44 sberthelot (at) emisfr (dot) com Comment #10 Reply to this comment
I have had the same kinf of problem.

With a Kronlith 3.0.3 installed, my Lightning sync was working with 
Horde 3 and not with Horde 4.

I get a "HORDE [horde] Horde_Imap_Client requires a username and 
password. [pid 8146 on line 144 of 
"/var/www/horde/pear/php/Horde/Imap/Client/Base.php"]"

The HTTP authentication is never prompted.
Looking at the stack trace it goes to Horde_Rpc_Webdav->_check_auth() 
that checks for an internal function check_auth() that is always true 
(!) and then goes on Horde_Rpc_Webdav->check_auth() (without 
underscore) that calls other IMAP auth classes.

In Webdav.php (Horde_Rpc_Webdav) I have added a try / catch 
(InvalidArgumentException $e) block around the return 
$this->check_auth($auth_type, $auth_user, $auth_pw);
in else if (method_exists($this, "check_auth")) statement
that returns false in the catch block

Then the Auth Basic header is sent at first request and then Basic 
Auth is asked to the client and it works again.

If you need this on a patch format feel free to ask me (since I don't 
know if it breaks other things)

What I find strange is that the _check_auth func checks for a 
check_auth method in the same class, always returning true...
2011-06-03 04:23:53 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #9 Reply to this comment
Does it work if you use %40 instead of @ in the user name?
No, I tried that already. Changes nothing.
2011-06-02 21:28:34 Jan Schneider Comment #8 Reply to this comment
Does it work if you use %40 instead of @ in the user name?
2011-05-26 07:58:57 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #7 Reply to this comment
I just found out, that the usernames containing the @-sign are the problem.
I'm testing now with SQL-authentication-backend with two users (one 
with @ in username, one without).

The problem of not being asked for credentials is only for the user 
with the @-sign in its username and thereby in the calendar's url.
http://horde4.dev.zew.local/rpc.php/kronolith/michael@localsql/lfwSRwXxcxFN3gVPSXowrdA.ics (not 
working)
vs
http://horde4.dev.zew.local/rpc.php/kronolith/michael_localsql/wR6FRQXxcxFN3gRx2Veg9yA.ics 
(works)

I don't really know how to get this solved, have you any hints? We 
can't use other usernames, because we use mailaddresses.
2011-05-24 12:52:01 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #6 Reply to this comment
A duplicate of bug #9733?
I changed the lines according to this commit:
http://git.horde.org/horde-git/-/commit/a65072badbcb509690ca009bb0770ca1c641e393

This changes nothing, horde logs this error:
2011-05-24T14:45:28+02:00 ERR: HORDE [horde] Calendar does not exist 
or no permission to edit [pid 7125 on line 295 of 
"/var/www/horde4/kronolith/lib/Api.php"]

The permission is not granted, because Lightning doesn't ask for credentials.
2011-05-18 15:53:25 Jan Schneider Comment #5 Reply to this comment
A duplicate of bug #9733?
2011-04-27 14:49:20 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #4
New Attachment: not logged in.png Download
Reply to this comment
Are you sure that this 404 is not coming from your web server? Do you
have PATH_INFO disabled (or not enabled) by chance?
No, horde4.dev.local/test.php/test?mode=phpinfo gives me an 
$_SERVER["PATH_INFO"]="/test"
Here the full answer. Again: When logged in, in another tab, I can 
download the calendars iCal file. When not logged in, Horde is not 
asking for credentials, as it did in horde3.
2011-04-27 14:01:44 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #3 Reply to this comment
Are you sure that this 404 is not coming from your web server? Do 
you have PATH_INFO disabled (or not enabled) by chance?
No, horde4.dev.local/test.php/test?mode=phpinfo gives me an 
$_SERVER["PATH_INFO"]="/test"
2011-04-19 16:10:11 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Are you sure that this 404 is not coming from your web server? Do you 
have PATH_INFO disabled (or not enabled) by chance?
2011-04-13 13:55:25 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Lightning<->RPC; Authentication doesn't work
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Zitat von Jan Schneider <jan@horde.org>:

[Show Quoted Text - 27 lines]
Yes, its still broken in the final.

Saved Queries